<?php
include 'core/system.php';
include 'rang_next.php';


reg();
head('Призрачный Кузнец');


$dop=$dbc->query("SELECT * FROM `dop`where `user`= '".$user['id']."' ")->fetch_assoc(); 
if($user['pers']==1){ $epos=15; $legos=17;} else{ $epos=16; $legos=18;}
$ep_colco =$dbc->query("SELECT * FROM `dung_item` WHERE `id`='".$epos."'")->fetch_assoc();

$leg_colco =$dbc->query("SELECT * FROM `dung_item` WHERE `id`='".$legos."'")->fetch_assoc();

if($user['pers']==1){ $class='Воин';} else{ $class='Маг';}


$min_ep  = 300; $med_ep  = 100; $mag_ep = 20;
$min_leg  = 1500; $med_leg  = 500; $mag_leg = 100;

?><center><img src="img/ivent/kuzn.jpg" width="100%" height="120" alt="*"></center>

<?
?><div class="lblue-panel">
<div class="panel-inner-2"><center> Призрачный Кузнец готов продать самые могущественные вещи.. потусторонних миров... </center></br></br>





<?

?>Ресурсы: <img src="img/res/min.png"><?=$dop['min']?> <img src="img/res/med.png"><?=$dop['med']?> <img src="img/res/mag.png"><?=$dop['kam']?></br></br><?




?>



<div class="el-img">
<span><img src="/img/items/<?=$ep_colco['img']?>.png"></span>
</div>
<div class="margin-from-image">
<div class="el-name c-simple">
<a href="dung_item.php?ids=<?=$ep_colco['id']?>" class="<?=$ep_colco['lite']?>"><?=$ep_colco['nik']?></a>




</div>
<span>Кольцо <?=$ep_colco['level']?> ур.,<span><?=$class?></span>


<div class="mt10">
<center><?
?><img src="img/res/min.png"><?=$min_ep?> <img src="img/res/med.png"><?=$med_ep?> <img src="img/res/mag.png"><?=$mag_ep?> Ранг: <?=$inf[3]?></br></br><?




?><a href="super_sell.php?ep">Купить</a><span class="va-m c-sel"><nobr></nobr></span></center>





</div>
</div>
</div>
</div>

<? 








?><div class="lblue-panel">
<div class="panel-inner-2">

<div class="el-img">
<span><img src="/img/items/<?=$leg_colco['img']?>.png"></span>
</div>
<div class="margin-from-image">
<div class="el-name c-simple">
<a href="dung_item.php?ids=<?=$leg_colco['id']?>" class="<?=$leg_colco['lite']?>"><?=$leg_colco['nik']?></a>



</div>
<span>Кольцо <?=$leg_colco['level']?> ур.,<span><?=$class?></span>


<div class="mt10">
<center>
<?

?><img src="img/res/min.png"><?=$min_leg?> <img src="img/res/med.png"><?=$med_leg?> <img src="img/res/mag.png"><?=$mag_leg?> Ранг: <?=$inf[5]?></br></br><?




?><a href="super_sell.php?leg">Купить</a> <span class="va-m c-sel"><nobr></nobr></span></center>





</div>
</div>
</div>
</div>

<? 

if(isset($_GET['ep'])){
    $buy_item = $epos;

$buy = $dbc->query("SELECT * FROM `dung_item` WHERE `id`='".$buy_item."' LIMIT 1")->fetch_assoc();

if(!$buy){

        header("Location: magaz_leg.php");


        exit;
        }       



if($user['rang']<3){        header("Location: super_sell.php");




        exit; }
if($dop['med']<$med_ep){  $_SESSION['message']='У вас не достаточно средст!';      header("Location: super_sell.php");




        exit; }



if($dop['min']<$min_ep){  $_SESSION['message']='У вас не достаточно средст!';      header("Location: super_sell.php"); exit; }




if($dop['kam']<$mag_ep){  $_SESSION['message']='У вас не достаточно средст!';      header("Location: super_sell.php"); exit; }




$dbc->query("update `dop` set `med`=`med`-'".$med_ep."',`min`=`min`-'".$min_ep."',`kam`=`kam`-'".$mag_ep."' where `user`='".$user['id']."'");



$dbc->query("INSERT INTO `artefact` (user_id,status,nik,strong,hp,prot,crit,regen,level,tip,class,lite,coin,img) values('".$user['id']."','".$buy['status']."','".$buy['nik']."','".$buy['strong']."','".$buy['hp']."','".$buy['prot']."','".$buy['crit']."','".$buy['regen']."','".$buy['level']."','".$buy['tip']."','".$buy['class']."','".$buy['lite']."','".$buy['coin']."','".$buy['img']."')");


$_SESSION['message']='Вещь успешно куплена!'; header('Location: super_sell.php?');exit();





}

if(isset($_GET['leg'])){
    $buy_item = $legos;

$buy = $dbc->query("SELECT * FROM `dung_item` WHERE `id`='".$buy_item."' LIMIT 1")->fetch_assoc();

if(!$buy){

        header("Location: magaz_leg.php");


        exit;
        }        if($user['rang']<5){        header("Location: super_sell.php");




        exit; }


if($dop['med']<$med_leg){  $_SESSION['message']='У вас не достаточно средст!';      header("Location: super_sell.php");




        exit; }



if($dop['min']<$min_leg){  $_SESSION['message']='У вас не достаточно средст!';      header("Location: super_sell.php"); exit; }




if($dop['kam']<$mag_leg){  $_SESSION['message']='У вас не достаточно средст!';      header("Location: super_sell.php"); exit; }




$dbc->query("update `dop` set `med`=`med`-'".$med_leg."',`min`=`min`-'".$min_leg."',`kam`=`kam`-'".$mag_leg."' where `user`='".$user['id']."'");





$dbc->query("INSERT INTO `artefact` (user_id,status,nik,strong,hp,prot,crit,regen,level,tip,class,lite,coin,img) values('".$user['id']."','".$buy['status']."','".$buy['nik']."','".$buy['strong']."','".$buy['hp']."','".$buy['prot']."','".$buy['crit']."','".$buy['regen']."','".$buy['level']."','".$buy['tip']."','".$buy['class']."','".$buy['lite']."','".$buy['coin']."','".$buy['img']."')");


$_SESSION['message']='Вещь успешно куплена!'; header('Location: super_sell.php?');exit();





} 


foot();
